commit:     1befe72c0a511c34cd1d7979a77f31147a68287e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  1 23:24:56 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar  1 23:35:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1befe72c

dev-db/spatialite: bump to 5.0.1

Seems to build with PROJ 8 as per upstream notes.

Bug: https://bugs.gentoo.org/685668
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-db/spatialite/Manifest                |  1 +
 dev-db/spatialite/spatialite-5.0.1.ebuild | 56 +++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-db/spatialite/Manifest b/dev-db/spatialite/Manifest
index 1e7b64f2041..715e1ee9f06 100644
--- a/dev-db/spatialite/Manifest
+++ b/dev-db/spatialite/Manifest
@@ -1 +1,2 @@
 DIST libspatialite-4.3.0a.tar.gz 4440660 BLAKE2B 
2eb2afb96b096b86be9c30cf71663b7b2839d345b6c418fc8511653ed59d0aeff1756b6b19807140c67128c938e39be66d13088640658d14883c92c438c97251
 SHA512 
adfd63e8dde0f370b07e4e7bb557647d2bfb5549205b60bdcaaca69ff81298a3d885e7c1ca515ef56dd0aca152ae940df8b5dbcb65bb61ae0a9337499895c3c0
+DIST libspatialite-5.0.1.tar.gz 6372753 BLAKE2B 
0fe5b37efac134e3796c96ed012b434ce99547037a44df69d3e98c7ac586c1173faa1fe93c4578e7cc0f47a9f1c539710661bad57f8012c3bdabde427221a842
 SHA512 
c2552994bc30d69d1e80aa274760f048cd384f71e8350a1e48a47cb8222ba71a1554a69c6534eedde9a09dc582c39c089967bcc1c57bf158cc91a3e7b1840ddf

diff --git a/dev-db/spatialite/spatialite-5.0.1.ebuild 
b/dev-db/spatialite/spatialite-5.0.1.ebuild
new file mode 100644
index 00000000000..57e64b658b3
--- /dev/null
+++ b/dev-db/spatialite/spatialite-5.0.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+MY_PN="lib${PN}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A complete Spatial DBMS in a nutshell built upon sqlite"
+HOMEPAGE="https://www.gaia-gis.it/gaia-sins/";
+SRC_URI="https://www.gaia-gis.it/gaia-sins/${MY_PN}-sources/${MY_P}.tar.gz";
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MPL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="+geos iconv +proj test +xls +xml"
+# Further poking required
+RESTRICT="test"
+
+RDEPEND="
+       >=dev-db/sqlite-3.7.5:3[extensions(+)]
+       sys-libs/zlib
+       geos? ( >=sci-libs/geos-3.4 )
+       proj? ( sci-libs/proj:= )
+       xls? ( dev-libs/freexl )
+       xml? ( dev-libs/libxml2 )
+"
+DEPEND="${RDEPEND}"
+
+REQUIRED_USE="test? ( iconv )"
+
+src_configure() {
+       # 1) rttopo not yet packaged
+       # 2) gcp disabled for now to preserve MPL licence
+       econf \
+               --disable-rttopo \
+               --disable-gcp \
+               --disable-examples \
+               --disable-static \
+               --enable-epsg \
+               --enable-geocallbacks \
+               $(use_enable geos) \
+               $(use_enable geos geosadvanced) \
+               $(use_enable iconv) \
+               $(use_enable proj) \
+               $(use_enable xls freexl) \
+               $(use_enable xml libxml2)
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to